Skip to main content
PATCH
/
api
/
v1
/
workload_federation
/
providers
/
{id}
UpdateProvider
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.WorkloadFederation.UpdateProvider(ctx, operations.C1APIWorkloadFederationV1WorkloadFederationServiceUpdateProviderRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.WorkloadFederationServiceUpdateProviderResponse != nil {
        // handle response
    }
}
{
  "provider": {
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "disabled": true,
    "displayName": "<string>",
    "id": "<string>",
    "issuerUrl": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "wellKnownProvider": "WELL_KNOWN_WORKLOAD_PROVIDER_UNSPECIFIED"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required
read-only

The unique ID of the provider.

Body

application/json

The WorkloadFederationServiceUpdateProviderRequest message.

provider
Workload Federation Provider · object

WorkloadFederationProvider represents a tenant-level OIDC issuer registration.

updateMask
string | null

Response

200 - application/json

Successful response

The WorkloadFederationServiceUpdateProviderResponse message.

provider
Workload Federation Provider · object

WorkloadFederationProvider represents a tenant-level OIDC issuer registration.